Bug 737987 - abrt-gui should use gnome-keyring sparingly
Summary: abrt-gui should use gnome-keyring sparingly
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 16
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 14:52 UTC by Richard Marko
Modified: 2016-02-01 02:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 07:05:08 UTC


Attachments (Terms of Use)

Description Richard Marko 2011-09-13 14:52:45 UTC
Description of problem:
abrt-gui is launching gnome-keyring too often - even when user is not saving passwords (secret/sensitive information).

Version-Release number of selected component (if applicable):
abrt-gui-2.0.4-2.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Try to report crash via abrt-gui
2. Select logger as a reporter
3. In preferences try to change the file used by the logger
  
Actual results:
gnome-keyring prompt

Expected results:
No gnome-keyring prompt

Comment 1 Richard Marko 2011-09-13 14:55:44 UTC
Should probably be fixed with bug 736016

Comment 2 Jiri Moskovcak 2011-09-14 06:46:22 UTC
ABRT gui saves the whole configuration to the keyring so it needs to launch it to get the logger output path.


Note You need to log in before you can comment on or make changes to this bug.